Subject: Re: bug#13900: 24.3.50; tramp mode for for /su: and /sudo: on localhost

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Mar 2013 21:10:18 -0500

>> then C-x C-f /sudo:/home/jason/somefile
> This is a wrong syntax. You try to connect the host "sudo" with scp.

BTW, could you try and make TAB on such a file name "expand" to
"/ssh:sudo:..." so as to clarify what's going on?
IOW, demote the "/<host>:" syntax such that it is expanded to the
corresponding "/<method>:<host>:" form as early as possible (and as
visibly as possible)?

Also, if <host> is the name of an existing method, the behavior should
be to treat it as a method name, rather than a host name (i.e. force
the user to type "/ssh:sudo:" if she wants to connect to the "sudo"
host).

        Stefan